package com.tfis.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tfis.common.annotation.Excel;
import com.tfis.common.core.domain.BaseEntity;

/**
 * 分系统信息管理对象 biz_aircraft_subsystem
 * 
 * @author allen
 * @date 2023-11-23
 */
public class AircraftSubsystem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 系统 */
    @Excel(name = "系统")
    private Long aircraftSystemId;

    /** 分系统名称 */
    @Excel(name = "分系统名称")
    private String aircraftTypeName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAircraftSystemId(Long aircraftSystemId) 
    {
        this.aircraftSystemId = aircraftSystemId;
    }

    public Long getAircraftSystemId() 
    {
        return aircraftSystemId;
    }
    public void setAircraftTypeName(String aircraftTypeName) 
    {
        this.aircraftTypeName = aircraftTypeName;
    }

    public String getAircraftTypeName() 
    {
        return aircraftTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aircraftSystemId", getAircraftSystemId())
            .append("aircraftTypeName", getAircraftTypeName())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
